<?php

namespace App\Emails;

use App\Models\Employee;
use App\Models\Setting;

/**
 * Class AwardMail
 * @package App\Emails
 */
class SalaryMail extends BaseMail
{

    private $employee = null;
    private $salary = null;

    public function __construct(Employee $employee, $salary)
    {
        parent::__construct();
        $this->employee = $employee;
        $this->salary = $salary;dd($this->salary);
        $this->setting = Setting::firstOrFail();
    }

    public function build()
    {
        return parent::build()
            ->subject('Salary Update - '.$this->salary)
            ->with('fullName', $this->employee->fullName)
            ->with('salary', $this->salary)
            ->view('emails.admin.salary', $this->viewData);
    }

}
