<?php

namespace App\Events;

use App\Models\Employee;
use Illuminate\Queue\SerializesModels;

/**
 * Class LeaveRequestEvent
 * @package App\Events
 */
class AwardEvent
{
    use SerializesModels;

    public $employee = null;
    public $salary = null;

    public function __construct(Employee $employee, $salary)
    {
        $this->employee = $employee;
        $this->salary = $salary;
    }

    /**
     * Get the channels the event should be broadcast on.
     *
     * @return array
     */
    public function broadcastOn()
    {
        return [];
    }
    
}
