<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Employee;
use App\Models\Attendance;
use App\Models\Holiday;
use Illuminate\Support\Facades\Auth; 
use Validator;
use Response;
use Hash;

class AttendanceController extends Controller
{
    public function viewAdminAttendance(Request $request){

        $validator = Validator::make($request->all(),[
             
          'start_date'          => 'required',
          'end_date'            => 'required',
  
          ]);
          if ($validator->fails()){
      
              $result_data = array('success'=> false, 'data' => $validator->getMessageBag()->first() ,'message'  => 'View AdminAttendance API' );
           
              return $result_data;
        
            }else{ 
  
        $start_date = $request->start_date;
  
        $end_date   = $request->end_date;
  
    $all_data    = Attendance::whereBetween('date',[$start_date, $end_date])->get();
    $result_data = [];
    if($all_data -> count()>0){
        foreach($all_data     as $eachdata){
        $result_data[]        =[
            'Employee Name'   => \App\Models\Employee::getdataname($eachdata['employeeID']),
            'status'          => $eachdata['status'],
            'Date'            => $eachdata['date']
        ];
        }
    }
        return response([
            'status'    => True,
            'data'	    => $result_data,
            'message'   =>'Employee Attendance API'
    
    ])->header('Content-Type', 'application/json');
          
    }
  }

}
