<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\Attendance;
use App\Models\Employee;
use Carbon\Carbon;
use Validator;
use Response;
use Hash;

class AuthController extends Controller
{
  
    public $successStatus = 200;
     
    public function login(Request $request){ 
      
            $user = Employee::where('email', $request->email)->first(); 
            if ($user) {
                if (Hash::check($request->password, $user->password)) {
                    $token = $user->createToken('Laravel Password Grant Client')->accessToken;                    
                    return response([
                        'status'	 => True,
                        'data'       => ( $response = array_merge(['token' => $token], $user->toArray())),
                        'message'    => 'Login API'
                      ]);

                } else {
                    $response = "Password missmatch";
                    return response([
                        'status'	 => False,
                        'data'       => $response,
                        'message'    => 'Login API'
                     ]);
               }
                } else {
                    $response = "Employee does not exist.";

                    return response([
                        'status'	 => False,
                        'data'       => $response,
                        'message'    => 'Login API'
                      ]);
                   }
               }
    /**
     * Logout user (Revoke the token)
     *
     * @return [string] message
     */
    public function logout(Request $request)
    {
        $request->user()->token()->revoke();
        return response()->json([
            'message' => 'Successfully logged out'
        ]);
    }
  
    /**
     * Get the authenticated User
     *
     * @return [json] user object
     */
    public function employeeAttendace(Request $request) { 
  
        $validator = Validator::make($request->all(),[
       
        'longitude'       => 'required',
 
        'latitude'        => 'required',
 
        'status'          => 'required',

        'halfDayType'     => 'nullable'
       
        ]);
    
      if ($validator->fails()){
    
          $result_data = array('success'=> false, 'data' => $validator->getMessageBag()->first() ,'message'  => 'Employee Attendace API' );
       
          return $result_data;
    
        }else{  
 
         $all_user = Auth::user();
 
         $user = Attendance::create([

          'employeeID ' => $all_user->employeeID,
          
          'longitude'   => $request->input('longitude'),
  
          'latitude'    => $request->input('latitude'),
       
          'status'      => $request->input('status'),

          'halfDayType' => $request->input('halfDayType')
 
          ]);
 
          return response([
       
            'status'	=> True,
  
            'message' => 'ThankYou for your Attendance'
       
            ])->header('Content-Type', 'application/json');
            
       
          }
       
        }

    }
