<?php

namespace App\Http\Controllers\Employee;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Attendance;
use App\Models\Holiday;
use Validator;
use Auth;
use Carbon\Carbon;
use App\Events\LeaveRequestEvent;
use App\Models\Employee;
use DB;

class AttendanceController extends Controller
{
  public function viewHoliday(){

    $all_data    = Holiday::where('date',Carbon::now()->format('Y-m-d'))->get();

    if(count($all_data)>0){

      $result_data = "Enjoy The Day Today is Holiday";
    
    }else{
    
      $result_data = "No Holiday Today";
    
    }
    
    return response([
            'status'    => True,
            'data'	    => $result_data,
            'message'   =>'Employee Holiday API'
    
    ])->header('Content-Type', 'application/json');
          
    }

    public function attendance(Request $request){
        $validator = Validator::make($request->all(),[
           
            'longitude'           => 'required',
            'latitude'            => 'required',
            'status'              => 'required|string',
            'date'                => 'required'

            ]);
            if ($validator->fails()){
        
                $result_data = array('success'=> false, 'data' => $validator->getMessageBag()->first() ,'message'  => 'Attendance API' );
             
                return $result_data;
          
              }else{  
                $all_user   =  Auth::user();  
  
              $users = [
      
                'employee_id'  => $all_user->employeeID
  
              ];
              $onTime = Carbon::now(); 
        
              $all_attendance = DB::table('attendance')->select('*')->where('employeeID',$all_user->employeeID)->where('date',$request->date)->first();
             
              if(!empty($all_attendance) && $request->status == "present"){

                $message = 'Attendance Already Marked Present';
    
              }elseif(!empty($all_attendance) && $request->status == "absent" && $request->leaveType == "half day" && $request->applied_on == NULL){

                $result_data = Attendance::updateOrCreate(['date' => $request->date],[
  
               'halfDayType'   => $request->halfDayType,
               'leaveType'     => $request->leaveType,
               'wfh'           => $request->wfh,
               'halfDayTime'   => $request->halfDayTime,
               'longitude'     => $request->longitude,
               'latitude'      => $request->latitude,
               'status'        => $request->status,
               'late_status'   => $request->late_status,
               'employeeID'    => $all_user->employeeID,
               'application_status' => $request->application_status
              ]);
  
              $message = 'HalfDay Attendance Successfully';
    
            }elseif(!empty($all_attendance) && $request->status == "absent" && $request->applied_on != NULL){

              $message = 'Mark Leave Already Sucessfully';
  
            }elseif($all_attendance == null && $request->status == "present"){

              $result_data = Attendance::create([
  
                'date'          => $request->date,
                'halfDayType'   => $request->halfDayType,
                'leaveType'     => $request->leaveType,
                'wfh'           => $request->wfh,
                'halfDayTime'   => $request->halfDayTime,
                'longitude'     => $request->longitude,
                'latitude'      => $request->latitude,
                'status'        => $request->status,
                'employeeID'    => $all_user->employeeID,
                'late_status'   => $request->late_status
                 
               ]);
   
               $message = 'Attendance Mark Present Successfully';
            }elseif($all_attendance == null && $request->status == "absent"){
         
            $result_data = Attendance::create([

              'date'          => $request->date,
              'halfDayType'   => $request->halfDayType,
              'leaveType'     => $request->leaveType,
              'wfh'           => $request->wfh,
              'halfDayTime'   => $request->halfDayTime,
              'longitude'     => $request->longitude,
              'latitude'      => $request->latitude,
              'status'        => $request->status,
              'application_status' => $request->application_status,
              'employeeID'    => $all_user->employeeID,
              'late_status'   => $request->late_status
               
             ]);

              $attendance = Attendance::find($result_data['id']);

              $this->attendance = $attendance;
              $employee = Employee::where('employeeID', '=', $attendance->employeeID)->first();
              $this->email = $employee->email;

                  if ($result_data['application_status'] != 'pending') {
                      // TODO: Mail Implementation
                      $attendanceDate = date('d-M-Y', strtotime($result_data['date']));
                      event(new LeaveRequestEvent($employee, $attendanceDate, $result_data['application_status']));
                  }
              
             $message = 'Mark Leave Successfully';
          }
               
                return response([
            
                'status'	=> True,
      
                'data'   => (Object)[],
  
                'message' => $message
           
                ])->header('Content-Type', 'application/json');    
             }
           }

    public function viewAttendance(Request $request){

      $validator = Validator::make($request->all(),[
           
        'start_date'          => 'required',
        'end_date'            => 'required',

        ]);
        if ($validator->fails()){
    
            $result_data = array('success'=> false, 'data' => $validator->getMessageBag()->first() ,'message'  => 'View Attendance API' );
         
            return $result_data;
      
          }else{ 
      $all_user   =  Auth::user();  

      $users = [

        'employee_id'  => $all_user->employeeID

      ];

      $start_date = $request->start_date;

      $end_date   = $request->end_date;

  $all_data    = Attendance::where('employeeID', $users)->whereBetween('date',[$start_date, $end_date])->get();
  $result_data = [];
  if($all_data -> count()>0){
      foreach($all_data     as $eachdata){
      $result_data[]        =[
          'status'          => $eachdata['status'],
          'Date'            => date('d M Y', strtotime($eachdata['date'])),
          'WorkFromHome'    => $eachdata['wfh'],
          'Late Attendance' => $eachdata['late_status'],
      ];
      }
  }
      return response([
          'status'    => True,
          'data'	    => $result_data,
          'message'   =>'Employee Attendance API'
  
  ])->header('Content-Type', 'application/json');
        
  }
}

  }
