<?php

namespace App\Http\Controllers\Employee;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth;
use App\Models\Designation;
use App\Models\Employee;
use App\Models\Attendance;
use App\Models\Leavetype;

class ProfileController extends Controller
{
    public function viewHome(){

        $all_data    = Auth::user();

        $totalLeave = Leavetype::where('leaveType', '<>', 'half day')->sum('num_of_leave');

        if(!empty($all_data) && $all_data->CompanyName == 'TT'){
         $user = [
        'Employee'       => $all_data->fullName,
        'Company'        => 'https://hr.designboxindia.com/companylogo/techtonic.png',
        'profileImage'   => 'https://hr.designboxindia.com/user-uploads/employee/'.$all_data->profileImage,
        'designation'    => $all_data->getDesignation->designation,
        'At work for'    => $all_data->workDuration($all_data->employeeID),
        'Attendance'     => Attendance::attendanceCount($all_data->employeeID),
        'Leave'          => array_sum(Attendance::absentEmployee($all_data->employeeID)) . '/' . $totalLeave
         ];
        }elseif(!empty($all_data) && $all_data->CompanyName == 'DB'){
            $user = [
           'Employee'       => $all_data->fullName,
           'Company'        => 'https://hr.designboxindia.com/companylogo/logo.png',
           'profileImage'   => 'https://hr.designboxindia.com/user-uploads/employee/'.$all_data->profileImage,
           'designation'    => $all_data->getDesignation->designation,
           'At work for'    => $all_data->workDuration($all_data->employeeID),
           'Attendance'     => Attendance::attendanceCount($all_data->employeeID),
           'Leave'          => array_sum(Attendance::absentEmployee($all_data->employeeID)) . '/' . $totalLeave
            ];
           }

    
        
        return response([
                'status'    => True,
                'data'	    => $user,
                'message'   =>'Employee Home API'
        
        ])->header('Content-Type', 'application/json');
              
        }
}
