@extends('admin.adminlayouts.adminlayout')

@section('head')

    <!-- BEGIN PAGE LEVEL STYLES -->
    {!! HTML::style('assets/global/plugins/bootstrap-fileinput/bootstrap-fileinput.css') !!}
    {!! HTML::style('assets/global/plugins/bootstrap-datepicker/css/datepicker3.css') !!}
    <!-- END PAGE LEVEL STYLES -->

@stop


@section('mainarea')

    <!-- BEGIN PAGE HEADER-->
    <h3 class="page-title">
        <span class="fa fa-plus"></span> New Employee
    </h3>
    <div class="page-bar">
        <ul class="page-breadcrumb">
            <li>
                <i class="fa fa-home"></i>
                <a href="index.html">Home</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <a href="{{route('admin.employees.index')}}">Employees</a>
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <a href="#">New Employee</a>
            </li>
        </ul>
    </div>
    <!-- END PAGE HEADER-->

    @if(count($department)==0)
        <div class="note note-warning">
            {!! Lang::get('messages.noDept') !!}
        </div>
    @else
        <div class="row">
            <div class="col-md-6">


            </div>
            <div class="col-md-6 form-group text-right">

                <span id="load_notification"></span>
                <input type="checkbox" onchange="ToggleEmailNotification('employee_add');return false;"
                       class="make-switch" name="employee_add" @if($setting->employee_add==1)checked
                       @endif data-on-color="success" data-on-text="Yes" data-off-text="No" data-off-color="danger">
                <strong>Email Notification</strong><br>


            </div>
        </div>

        {{--INLCUDE ERROR MESSAGE BOX--}}
        @include('admin.common.error')
        {{--END ERROR MESSAGE BOX--}}
        <hr>
        <div class="clearfix">
        </div>
        {!! Form::open(array('route'=>"admin.employees.store",'id'=>'addEmployeeForm','class'=>'form-horizontal','method'=>'POST','files' => true)) !!}
        <div class="row ">
            <div class="col-md-6 col-sm-6">
                <div class="portlet box purple-wisteria">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-calendar"></i>Personal Details
                        </div>

                    </div>
                    <div class="portlet-body">

                        <div class="form-body">
                            <div class="form-group ">
                                <label class="control-label col-md-3">Photo</label>
                                <div class="col-md-9">
                                    <div class="fileinput fileinput-new" data-provides="fileinput">
                                        <div class="fileinput-new thumbnail" style="width: 200px; height: 150px;">
                                            <img src="http://www.placehold.it/200x150/EFEFEF/AAAAAA&amp;text=no+image"
                                                 alt=""/>

                                        </div>
                                        <div class="fileinput-preview fileinput-exists thumbnail"
                                             style="max-width: 200px; max-height: 150px;">
                                        </div>
                                        <div>
        													<span class="btn default btn-file">
        													<span class="fileinput-new">
        													Select image </span>
        													<span class="fileinput-exists">
        													Change </span>
        													 <input type="file" name="profileImage">
        													</span>
                                            <a href="#" class="btn btn-sm red fileinput-exists"
                                               data-dismiss="fileinput">
                                                Remove </a>
                                        </div>
                                    </div>
                                    <div class="clearfix margin-top-10">
                                                        <span class="label label-danger">
                                                        NOTE! </span> Image Size must be (872px by 724px)

                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Name <span class="required">* </span></label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control" name="fullName" placeholder="Employee Name"
                                           value="{{ \Illuminate\Support\Facades\Request::old('fullName') }}">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Father's Name</label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control" name="fatherName" placeholder="Father Name">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3">Date of Birth</label>
                                <div class="col-md-3">
                                    <div class="input-group input-medium date date-picker" data-date-format="dd-mm-yyyy"
                                         data-date-viewmode="years">
                                        <input type="text" class="form-control" name="date_of_birth" readonly
                                               value="{{ \Illuminate\Support\Facades\Request::old('date_of_birth') }}">
                                        <span class="input-group-btn">
        												<button class="btn default" type="button"><i
                                                                    class="fa fa-calendar"></i></button>
        												</span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Gender</label>
                                <div class="col-md-9">
                                    {!!  Form::select('gender', array('male' => 'Male', 'female' => 'Female'), \Illuminate\Support\Facades\Request::old('gender'),array('class'=>'form-control'))  !!}
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-3 control-label">Phone</label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control" name="mobileNumber"
                                           placeholder="Contact Number"
                                           value="{{\Illuminate\Support\Facades\Request::old('mobileNumber')}}">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-3 control-label">Emergency Phone</label>
                                <div class="col-md-9">
                                    <input type="text" class="form-control" name="emergency_phone"
                                           placeholder="Emergency Phone"
                                           ></div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-3 control-label">Alternate Mail</label>
                                <div class="col-md-9">
                                    <input type="email" class="form-control" name="alternate_mail"
                                           placeholder="Alternate Mail"
                                           ></div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-3 control-label">Local
                                    Address</label>
                                <div class="col-md-9">
                                    <textarea class="form-control" name="localAddress"
                                              rows="3">{{\Illuminate\Support\Facades\Request::old('localAddress')}}</textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Permanent Address</label>
                                <div class="col-md-9">
                                    <textarea class="form-control" name="permanentAddress"
                                              rows="3">{{\Illuminate\Support\Facades\Request::old('permanentAddress')}}</textarea>
                                </div>
                            </div>

                            <h4><strong>Account Login</strong></h4>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Email<span class="required">* </span></label>
                                <div class="col-md-9">
                                    <input type="text" name="email" class="form-control"
                                           value="{{ \Illuminate\Support\Facades\Request::old('email') }}">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Password<span class="required">* </span></label>
                                <div class="col-md-9">
                                    <input type="hidden" name="oldpassword">
                                    <input type="password" name="password" class="form-control"
                                           value="{{ \Illuminate\Support\Facades\Request::old('password') }}">
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6">
                <div class="portlet box red-sunglo">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class="fa fa-calendar"></i>Company Details
                        </div>

                    </div>
                    <div class="portlet-body">

                        <div class="form-body">
                            <div class="form-group">
                                <label class="col-md-3 control-label">Company<span
                                            class="required">* </span></label>
                                <div class="col-md-9">
                                    <select class="select2me form-control comapny" name="CompanyName" id="CompanyName">
                                        <option >Select Company</option>
                                        <option value="TT">Techtonic</option>
                                        <option value="DB">Designbox</option>
                                    </select>
                                </div>
                            </div>
                            <input type="hidden" name="companyID" class="companyid" value="">
                            <div class="form-group">
                                <label class="col-md-3 control-label">Employee ID<span
                                            class="required">* </span></label>
                                <div class="col-md-9">
                                <input type="text" class="form-control employee" name="employeeID" value="" readonly>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Department<span
                                        class="required">* </span></label>
                                <div class="col-md-9">
                                    {!!  Form::select('department', $department,null,['class' => 'form-control select2me','id'=>'department','onchange'=>'dept();return false;'])  !!}
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">Designation<span
                                        class="required">* </span></label>
                                <div class="col-md-9">

                                    <select class="select2me form-control" name="designation" id="designation">

                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3">Date of Joining<span class="required">* </span></label>
                                <div class="col-md-3">
                                    <div class="input-group input-medium date date-picker" data-date-format="dd-mm-yyyy"
                                         data-date-viewmode="years">
                                        <input type="text" class="form-control" name="joiningDate" readonly
                                               value="{{\Illuminate\Support\Facades\Request::old('joiningDate')}}">
                                        <span class="input-group-btn">
        												<button class="btn default" type="button"><i
                                                                    class="fa fa-calendar"></i></button>
        												</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="portlet box red-sunglo" style="padding-top:20px;">
                        <div class="portlet-title">
                            <div class="caption">
                                <i class="fa fa-calendar"></i>Salary Slip
                            </div>
    
                        </div>
                        <div class="portlet-body">
    
                            <div class="form-body">
                                <div class="form-group">
                                    <label class="col-md-3 control-label">Basic Salary<span
                                                class="required">* </span></label>
                                    <div class="col-md-9">
                                    <input type="text" class="form-control SalaryTotal" name="basicSalary" id="basicSalary">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 control-label">Dearness Allowance<span
                                                class="required">* </span></label>
                                    <div class="col-md-9">
                                    <input type="text" class="form-control SalaryTotal" name="dearnessAllowance" id="dearnessAllowance">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 control-label">HRA<span
                                                class="required">* </span></label>
                                    <div class="col-md-9">
                                    <input type="text" class="form-control SalaryTotal" name="HRA" id="HRA">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 control-label">Special Allowance<span
                                                class="required">* </span></label>
                                    <div class="col-md-9">
                                    <input type="text" class="form-control SalaryTotal" name="specialAllowance" id="specialAllowance">
                                    </div>
                                </div>
                                <hr>
                                <div class="form-group">
                                    <label class="col-md-3 control-label">Net Salary<span
                                                class="required">* </span></label>
                                    <div class="col-md-9">
                                    <input type="text" class="form-control" id="NetSalary" name="salary">
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                
                <div class="row ">
                    <div class="col-md-12 col-sm-12">
                        <div class="portlet box purple-wisteria">
                            <div class="portlet-title">
                                <div class="caption">
                                    <i class="fa fa-calendar"></i>Documents
                                </div>
    
                            </div>
                            <div class="portlet-body">
    
                                <div class="form-body">
                                    <div class="form-group">
                                        <label class="control-label col-md-2">Resume</label>
                                        <div class="col-md-5">
                                            <div class="fileinput fileinput-new" data-provides="fileinput">
                                                <div class="input-group input-large">
                                                    <div class="form-control uneditable-input" data-trigger="fileinput">
                                                        <i class="fa fa-file fileinput-exists"></i>&nbsp; <span
                                                                class="fileinput-filename">
                                                                    </span>
                                                    </div>
                                                    <span class="input-group-addon btn default btn-file">
                                                                <span class="fileinput-new">
                                                                Select file </span>
                                                                <span class="fileinput-exists">
                                                                Change </span>
                                                                <input type="file" name="resume">
                                                                </span>
                                                    <a href="#" class="input-group-addon btn btn-sm red fileinput-exists"
                                                       data-dismiss="fileinput">
                                                        Remove </a>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-2">Joining Letter</label>
                                        <div class="col-md-5">
                                            <div class="fileinput fileinput-new" data-provides="fileinput">
                                                <div class="input-group input-large">
                                                    <div class="form-control uneditable-input" data-trigger="fileinput">
                                                        <i class="fa fa-file fileinput-exists"></i>&nbsp; <span
                                                                class="fileinput-filename">
                                                                    </span>
                                                    </div>
                                                    <span class="input-group-addon btn default btn-file">
                                                                <span class="fileinput-new">
                                                                Select file </span>
                                                                <span class="fileinput-exists">
                                                                Change </span>
                                                                <input type="file" name="joiningLetter">
                                                                </span>
                                                    <a href="#" class="input-group-addon btn btn-sm red fileinput-exists"
                                                       data-dismiss="fileinput">
                                                        Remove </a>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-2">Contract and Agreement</label>
                                        <div class="col-md-5">
                                            <div class="fileinput fileinput-new" data-provides="fileinput">
                                                <div class="input-group input-large">
                                                    <div class="form-control uneditable-input" data-trigger="fileinput">
                                                        <i class="fa fa-file fileinput-exists"></i>&nbsp; <span
                                                                class="fileinput-filename">
                                                                    </span>
                                                    </div>
                                                    <span class="input-group-addon btn default btn-file">
                                                                <span class="fileinput-new">
                                                                Select file </span>
                                                                <span class="fileinput-exists">
                                                                Change </span>
                                                                <input type="file" name="contract">
                                                                </span>
                                                    <a href="#" class="input-group-addon btn btn-sm red fileinput-exists"
                                                       data-dismiss="fileinput">
                                                        Remove </a>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-2">Aadhar Card(front && Back)</label>
                                        <div class="col-md-5">
                                            <div class="fileinput fileinput-new" data-provides="fileinput">
                                                <div class="input-group input-large">
                                                    <div class="form-control uneditable-input" data-trigger="fileinput">
                                                        <i class="fa fa-file fileinput-exists"></i>&nbsp; <span
                                                                class="fileinput-filename">
                                                                    </span>
                                                    </div>
                                                    <span class="input-group-addon btn default btn-file">
                                                                <span class="fileinput-new">
                                                                Select file </span>
                                                                <span class="fileinput-exists">
                                                                Change </span>
                                                                <input type="file" name="AadharCard_Proof">
                                                                </span>
                                                    <a href="#" class="input-group-addon btn btn-sm red fileinput-exists"
                                                       data-dismiss="fileinput">
                                                        Remove </a>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div>
    
                                    <div class="form-group">
                                        <label class="control-label col-md-2">Educational Proof</label>
                                        <div class="col-md-5">
                                            <div class="fileinput fileinput-new" data-provides="fileinput">
                                                <div class="input-group input-large">
                                                    <div class="form-control uneditable-input" data-trigger="fileinput">
                                                        <i class="fa fa-file fileinput-exists"></i>&nbsp; <span
                                                                class="fileinput-filename">
                                                                    </span>
                                                    </div>
                                                    <span class="input-group-addon btn default btn-file">
                                                                <span class="fileinput-new">
                                                                Select file </span>
                                                                <span class="fileinput-exists">
                                                                Change </span>
                                                                <input type="file" name="educational_proof">
                                                                </span>
                                                    <a href="#" class="input-group-addon btn btn-sm red fileinput-exists"
                                                       data-dismiss="fileinput">
                                                        Remove </a>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div>
    
                                </div>
    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix">
            {{---------------Documents------------------}}
            
            <div class="clearfix">
            </div>
            <div class="form-actions">
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-offset-3 col-md-9">
                                <button type="button" onclick="addEmployee()" class="btn green">
                                    <i class="fa fa-plus"></i> Submit
                                </button>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                    </div>
                </div>
            </div>

        </div>
        </form>
    @endif
    <hr>

@stop



@section('footerjs')


    <!-- BEGIN PAGE LEVEL PLUGINS -->
    {!! HTML::script('assets/global/plugins/bootstrap-fileinput/bootstrap-fileinput.js') !!}
    {!! HTML::script('assets/global/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js') !!}
    {!! HTML::script("assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js") !!}
    {!! HTML::script('assets/admin/pages/scripts/components-pickers.js') !!}
    <!-- END PAGE LEVEL PLUGINS -->
  
    <script type="text/javascript">
        $(document).ready(function() {
    
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
    
            $('.SalaryTotal').change(function(e) { 
                var basic_Salary = $("input[name=basicSalary]").val();
                var dearness_Allowance = $("input[name=dearnessAllowance]").val();
                var hra = $("input[name=HRA]").val();
                var special_Allowance = $("input[name=specialAllowance]").val();
                if (basic_Salary != '') {
                    $.ajax({
                        url: "{{ url('/admin/employees/get_salary') }}"
                        , type: 'POST'
                        , data:{ 
                                  basic_Salary: basic_Salary,
                                  dearness_Allowance: dearness_Allowance,
                                  hra : hra,
                                  special_Allowance : special_Allowance
                                }
                        , dataType: 'json'
                        , beforeSend: function() {}
                        , complete: function() {}
                        , success: function(json) {
                            if (json['success'] == true) {
                                $('#NetSalary').val(json['BasicSalary']);
                            }
                            if (json['success'] == false) {
                                if (json['errors']['warning']) {
                                    alert(json['errors']['warning']);
                                }
                            }
                        }
                        , error: function(data) {
                            var errors = data.responseJSON;
                        }
                    });
                }
            });
        });
    </script>    
    
<script type="text/javascript">
    $(document).ready(function() {

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $('#CompanyName').change(function(e) {
            var company_name = $('#CompanyName').val();
            if (company_name != '') {
                $.ajax({
                    url: "{{ url('/admin/employees/get_name') }}"
                    , type: 'POST'
                    , data: 'company_name=' + company_name
                    , dataType: 'json'
                    , beforeSend: function() {}
                    , complete: function() {}
                    , success: function(json) {
                        if (json['success'] == true) {
                            $('.employee').val(json['employeeID1']);
                            $('.companyid').val(json['table_id']);
                            
                        }
                        if (json['success'] == false) {
                            if (json['errors']['warning']) {
                                alert(json['errors']['warning']);
                            }
                        }
                    }
                    , error: function(data) {
                        var errors = data.responseJSON;
                    }
                });
            }
        });
    });
</script>

    <script>
        jQuery(document).ready(function () {
            ComponentsPickers.init();
            dept();
        });

        function dept() { 
            $.getJSON("{{ route('admin.departments.ajax_designation')}}",
                {deptID: $('#department').val()},
                function (data) {
                    var model = $('#designation');
                    model.empty();
                    $.each(data, function (index, element) {
                        model.append("<option value='" + element.id + "'>" + element.designation + "</option>");
                    });
                });
        }

        // Show Add Edit Function
        function addEmployee() {
            var url = "{{ route('admin.employees.store') }}";
            $.easyAjax({
                type: 'POST',
                url: url,
                container: "#addEmployeeForm",
                file: true
            });
        }

    </script>
@stop
