<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::post('password/forgot-password', 'Employee\ForgotPasswordController@forgotPassword');

Route::post('employee_login', 'Employee\EmployeeController@employee_login');

Route::post('admin_login', 'Admin\AdminController@admin_login');

Route::group(['middleware' => ['auth:tech']], function () {

Route::post('viewAdminAttendance','Admin\AttendanceController@viewAdminAttendance');

});

Route::group(['middleware' => ['auth:hrms']], function () {   

Route::post('send-notification', 'NotificationController@notifyUser')->name('notify');

Route::get('employee_leave_status', 'EmployeeLeaveController@viewLeave');

Route::get('employee_attendance_view', 'EmployeeLeaveController@viewAttendance');

Route::post('EmployeeViewAttendance','Employee\AttendanceController@viewAttendance')->name('EmployeeAttendance');

Route::get('viewHoliday','Employee\HolidayController@viewHoliday')->name('viewHoliday');

Route::post('employee_attendance', 'Employee\AttendanceController@attendance');

Route::get('EmployeeHoliday','Employee\AttendanceController@viewHoliday');

Route::delete('employeeLeave/delete/{id}','EmployeeLeaveController@EmployeeLeavedelete');

Route::get('viewPolicy','Employee\PolicyController@viewPolicy')->name('viewPolicy');

Route::get('viewBirthday','Employee\BirthdayController@viewBirthday')->name('viewBirthday');

Route::get('viewHome','Employee\ProfileController@viewHome')->name('viewHome');

Route::post('employee_logout', 'Employee\EmployeeController@employee_logout');

});